Last Comment Bug 655198 - The 'all' value for -moz-hyphens is not actually implemented, so should not be parsed in CSS
: The 'all' value for -moz-hyphens is not actually implemented, so should not b...
Status: RESOLVED FIXED
:
Product: Core
Classification: Components
Component: Layout: Text (show other bugs)
: Trunk
: All All
: -- minor (vote)
: ---
Assigned To: Jonathan Kew (:jfkthame)
:
Mentors:
Depends on:
Blocks: 656750 253317
  Show dependency treegraph
 
Reported: 2011-05-05 20:53 PDT by Jesse Ruderman
Modified: 2012-06-21 23:53 PDT (History)
5 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---
-


Attachments
patch, don't parse 'all' as a value for '-moz-hyphens' (2.25 KB, patch)
2011-05-07 04:46 PDT, Jonathan Kew (:jfkthame)
dbaron: review+
Details | Diff | Splinter Review

Description Jesse Ruderman 2011-05-05 20:53:04 PDT
Bug 253317 part 1 adds "-moz-hyphen: none/all/manual/auto". Part 6 adds reftests that cover all the cases except for "all".
Comment 1 Jonathan Kew (:jfkthame) 2011-05-06 01:33:53 PDT
This is because we don't yet implement the "all" value.

(Note that http://www.w3.org/TR/2011/WD-css3-text-20110412/ says that the "all" value is at risk of being dropped from the spec.)
Comment 2 Robert O'Callahan (:roc) (email my personal email if necessary) 2011-05-06 01:48:02 PDT
I didn't realize we parse "all". We should refuse to parse it given we don't implement it.

I'm not sure what "all" is for and I don't see any reason to implement it.
Comment 3 Jonathan Kew (:jfkthame) 2011-05-06 02:02:47 PDT
I'm fine with dropping "all"; I'll put up a patch to do so.
Comment 4 Jonathan Kew (:jfkthame) 2011-05-07 04:40:21 PDT
Morphing this bug to refer to removing 'all' instead of adding tests for it.
Comment 5 Jonathan Kew (:jfkthame) 2011-05-07 04:46:45 PDT
Created attachment 530825 [details] [diff] [review]
patch, don't parse 'all' as a value for '-moz-hyphens'

Removing 'all' from -moz-hyphens, as we don't actually implement it (and have no plans to do so).
Comment 6 David Baron :dbaron: ⌚️UTC-7 (review requests must explain patch) 2011-05-07 05:52:08 PDT
Comment on attachment 530825 [details] [diff] [review]
patch, don't parse 'all' as a value for '-moz-hyphens'

r=dbaron
Comment 7 Jonathan Kew (:jfkthame) 2011-05-07 08:08:21 PDT
http://hg.mozilla.org/mozilla-central/rev/dac74f0a1882
Comment 8 David Baron :dbaron: ⌚️UTC-7 (review requests must explain patch) 2011-05-24 14:52:35 PDT
[in triage meeting] No longer need to track this since it's fixed; we just needed to make sure we got this in before we shipped -moz-hyphens.

Note You need to log in before you can comment on or make changes to this bug.